/* light tokens */
pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.code .hll { background-color: #ffffcc }
.code { background: #f8f8f8; }
.code .c { color: #8f5902; font-style: italic } /* Comment */
.code .err { color: #a40000; border: 1px solid #ef2929 } /* Error */
.code .g { color: #000000 } /* Generic */
.code .k { color: #204a87; font-weight: bold } /* Keyword */
.code .l { color: #000000 } /* Literal */
.code .n { color: #000000 } /* Name */
.code .o { color: #ce5c00; font-weight: bold } /* Operator */
.code .x { color: #000000 } /* Other */
.code .p { color: #000000; font-weight: bold } /* Punctuation */
.code .ch { color: #8f5902; font-style: italic } /* Comment.Hashbang */
.code .cm { color: #8f5902; font-style: italic } /* Comment.Multiline */
.code .cp { color: #8f5902; font-style: italic } /* Comment.Preproc */
.code .cpf { color: #8f5902; font-style: italic } /* Comment.PreprocFile */
.code .c1 { color: #8f5902; font-style: italic } /* Comment.Single */
.code .cs { color: #8f5902; font-style: italic } /* Comment.Special */
.code .gd { color: #a40000 } /* Generic.Deleted */
.code .ge { color: #000000; font-style: italic } /* Generic.Emph */
.code .ges { color: #000000; font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.code .gr { color: #ef2929 } /* Generic.Error */
.code .gh { color: #000080; font-weight: bold } /* Generic.Heading */
.code .gi { color: #00A000 } /* Generic.Inserted */
.code .go { color: #000000; font-style: italic } /* Generic.Output */
.code .gp { color: #8f5902 } /* Generic.Prompt */
.code .gs { color: #000000; font-weight: bold } /* Generic.Strong */
.code .gu { color: #800080; font-weight: bold } /* Generic.Subheading */
.code .gt { color: #a40000; font-weight: bold } /* Generic.Traceback */
.code .kc { color: #204a87; font-weight: bold } /* Keyword.Constant */
.code .kd { color: #204a87; font-weight: bold } /* Keyword.Declaration */
.code .kn { color: #204a87; font-weight: bold } /* Keyword.Namespace */
.code .kp { color: #204a87; font-weight: bold } /* Keyword.Pseudo */
.code .kr { color: #204a87; font-weight: bold } /* Keyword.Reserved */
.code .kt { color: #204a87; font-weight: bold } /* Keyword.Type */
.code .ld { color: #000000 } /* Literal.Date */
.code .m { color: #0000cf; font-weight: bold } /* Literal.Number */
.code .s { color: #4e9a06 } /* Literal.String */
.code .na { color: #c4a000 } /* Name.Attribute */
.code .nb { color: #204a87 } /* Name.Builtin */
.code .nc { color: #000000 } /* Name.Class */
.code .no { color: #000000 } /* Name.Constant */
.code .nd { color: #5c35cc; font-weight: bold } /* Name.Decorator */
.code .ni { color: #ce5c00 } /* Name.Entity */
.code .ne { color: #cc0000; font-weight: bold } /* Name.Exception */
.code .nf { color: #000000 } /* Name.Function */
.code .nl { color: #f57900 } /* Name.Label */
.code .nn { color: #000000 } /* Name.Namespace */
.code .nx { color: #000000 } /* Name.Other */
.code .py { color: #000000 } /* Name.Property */
.code .nt { color: #204a87; font-weight: bold } /* Name.Tag */
.code .nv { color: #000000 } /* Name.Variable */
.code .ow { color: #204a87; font-weight: bold } /* Operator.Word */
.code .pm { color: #000000; font-weight: bold } /* Punctuation.Marker */
.code .w { color: #f8f8f8 } /* Text.Whitespace */
.code .mb { color: #0000cf; font-weight: bold } /* Literal.Number.Bin */
.code .mf { color: #0000cf; font-weight: bold } /* Literal.Number.Float */
.code .mh { color: #0000cf; font-weight: bold } /* Literal.Number.Hex */
.code .mi { color: #0000cf; font-weight: bold } /* Literal.Number.Integer */
.code .mo { color: #0000cf; font-weight: bold } /* Literal.Number.Oct */
.code .sa { color: #4e9a06 } /* Literal.String.Affix */
.code .sb { color: #4e9a06 } /* Literal.String.Backtick */
.code .sc { color: #4e9a06 } /* Literal.String.Char */
.code .dl { color: #4e9a06 } /* Literal.String.Delimiter */
.code .sd { color: #8f5902; font-style: italic } /* Literal.String.Doc */
.code .s2 { color: #4e9a06 } /* Literal.String.Double */
.code .se { color: #4e9a06 } /* Literal.String.Escape */
.code .sh { color: #4e9a06 } /* Literal.String.Heredoc */
.code .si { color: #4e9a06 } /* Literal.String.Interpol */
.code .sx { color: #4e9a06 } /* Literal.String.Other */
.code .sr { color: #4e9a06 } /* Literal.String.Regex */
.code .s1 { color: #4e9a06 } /* Literal.String.Single */
.code .ss { color: #4e9a06 } /* Literal.String.Symbol */
.code .bp { color: #3465a4 } /* Name.Builtin.Pseudo */
.code .fm { color: #000000 } /* Name.Function.Magic */
.code .vc { color: #000000 } /* Name.Variable.Class */
.code .vg { color: #000000 } /* Name.Variable.Global */
.code .vi { color: #000000 } /* Name.Variable.Instance */
.code .vm { color: #000000 } /* Name.Variable.Magic */
.code .il { color: #0000cf; font-weight: bold } /* Literal.Number.Integer.Long */

/* dark tokens */
pre { line-height: 125%; }
td.linenos .normal { color: #f1fa8c; background-color: #44475a; padding-left: 5px; padding-right: 5px; }
span.linenos { color: #f1fa8c; background-color: #44475a; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #50fa7b; background-color: #6272a4; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #50fa7b; background-color: #6272a4; padding-left: 5px; padding-right: 5px; }
[data-theme="dark"] .code .hll { background-color: #44475a }
[data-theme="dark"] .code { background: #282a36; color: #f8f8f2 }
[data-theme="dark"] .code .c { color: #6272a4 } /* Comment */
[data-theme="dark"] .code .err { color: #f8f8f2 } /* Error */
[data-theme="dark"] .code .g { color: #f8f8f2 } /* Generic */
[data-theme="dark"] .code .k { color: #ff79c6 } /* Keyword */
[data-theme="dark"] .code .l { color: #f8f8f2 } /* Literal */
[data-theme="dark"] .code .n { color: #f8f8f2 } /* Name */
[data-theme="dark"] .code .o { color: #ff79c6 } /* Operator */
[data-theme="dark"] .code .x { color: #f8f8f2 } /* Other */
[data-theme="dark"] .code .p { color: #f8f8f2 } /* Punctuation */
[data-theme="dark"] .code .ch { color: #6272a4 } /* Comment.Hashbang */
[data-theme="dark"] .code .cm { color: #6272a4 } /* Comment.Multiline */
[data-theme="dark"] .code .cp { color: #ff79c6 } /* Comment.Preproc */
[data-theme="dark"] .code .cpf { color: #6272a4 } /* Comment.PreprocFile */
[data-theme="dark"] .code .c1 { color: #6272a4 } /* Comment.Single */
[data-theme="dark"] .code .cs { color: #6272a4 } /* Comment.Special */
[data-theme="dark"] .code .gd { color: #8b080b } /* Generic.Deleted */
[data-theme="dark"] .code .ge { color: #f8f8f2; text-decoration: underline } /* Generic.Emph */
[data-theme="dark"] .code .ges { color: #f8f8f2; text-decoration: underline } /* Generic.EmphStrong */
[data-theme="dark"] .code .gr { color: #f8f8f2 } /* Generic.Error */
[data-theme="dark"] .code .gh { color: #f8f8f2; font-weight: bold } /* Generic.Heading */
[data-theme="dark"] .code .gi { color: #f8f8f2; font-weight: bold } /* Generic.Inserted */
[data-theme="dark"] .code .go { color: #44475a } /* Generic.Output */
[data-theme="dark"] .code .gp { color: #f8f8f2 } /* Generic.Prompt */
[data-theme="dark"] .code .gs { color: #f8f8f2 } /* Generic.Strong */
[data-theme="dark"] .code .gu { color: #f8f8f2; font-weight: bold } /* Generic.Subheading */
[data-theme="dark"] .code .gt { color: #f8f8f2 } /* Generic.Traceback */
[data-theme="dark"] .code .kc { color: #ff79c6 } /* Keyword.Constant */
[data-theme="dark"] .code .kd { color: #8be9fd; font-style: italic } /* Keyword.Declaration */
[data-theme="dark"] .code .kn { color: #ff79c6 } /* Keyword.Namespace */
[data-theme="dark"] .code .kp { color: #ff79c6 } /* Keyword.Pseudo */
[data-theme="dark"] .code .kr { color: #ff79c6 } /* Keyword.Reserved */
[data-theme="dark"] .code .kt { color: #8be9fd } /* Keyword.Type */
[data-theme="dark"] .code .ld { color: #f8f8f2 } /* Literal.Date */
[data-theme="dark"] .code .m { color: #ffb86c } /* Literal.Number */
[data-theme="dark"] .code .s { color: #bd93f9 } /* Literal.String */
[data-theme="dark"] .code .na { color: #50fa7b } /* Name.Attribute */
[data-theme="dark"] .code .nb { color: #8be9fd; font-style: italic } /* Name.Builtin */
[data-theme="dark"] .code .nc { color: #50fa7b } /* Name.Class */
[data-theme="dark"] .code .no { color: #f8f8f2 } /* Name.Constant */
[data-theme="dark"] .code .nd { color: #f8f8f2 } /* Name.Decorator */
[data-theme="dark"] .code .ni { color: #f8f8f2 } /* Name.Entity */
[data-theme="dark"] .code .ne { color: #f8f8f2 } /* Name.Exception */
[data-theme="dark"] .code .nf { color: #50fa7b } /* Name.Function */
[data-theme="dark"] .code .nl { color: #8be9fd; font-style: italic } /* Name.Label */
[data-theme="dark"] .code .nn { color: #f8f8f2 } /* Name.Namespace */
[data-theme="dark"] .code .nx { color: #f8f8f2 } /* Name.Other */
[data-theme="dark"] .code .py { color: #f8f8f2 } /* Name.Property */
[data-theme="dark"] .code .nt { color: #ff79c6 } /* Name.Tag */
[data-theme="dark"] .code .nv { color: #8be9fd; font-style: italic } /* Name.Variable */
[data-theme="dark"] .code .ow { color: #ff79c6 } /* Operator.Word */
[data-theme="dark"] .code .pm { color: #f8f8f2 } /* Punctuation.Marker */
[data-theme="dark"] .code .w { color: #f8f8f2 } /* Text.Whitespace */
[data-theme="dark"] .code .mb { color: #ffb86c } /* Literal.Number.Bin */
[data-theme="dark"] .code .mf { color: #ffb86c } /* Literal.Number.Float */
[data-theme="dark"] .code .mh { color: #ffb86c } /* Literal.Number.Hex */
[data-theme="dark"] .code .mi { color: #ffb86c } /* Literal.Number.Integer */
[data-theme="dark"] .code .mo { color: #ffb86c } /* Literal.Number.Oct */
[data-theme="dark"] .code .sa { color: #bd93f9 } /* Literal.String.Affix */
[data-theme="dark"] .code .sb { color: #bd93f9 } /* Literal.String.Backtick */
[data-theme="dark"] .code .sc { color: #bd93f9 } /* Literal.String.Char */
[data-theme="dark"] .code .dl { color: #bd93f9 } /* Literal.String.Delimiter */
[data-theme="dark"] .code .sd { color: #bd93f9 } /* Literal.String.Doc */
[data-theme="dark"] .code .s2 { color: #bd93f9 } /* Literal.String.Double */
[data-theme="dark"] .code .se { color: #bd93f9 } /* Literal.String.Escape */
[data-theme="dark"] .code .sh { color: #bd93f9 } /* Literal.String.Heredoc */
[data-theme="dark"] .code .si { color: #bd93f9 } /* Literal.String.Interpol */
[data-theme="dark"] .code .sx { color: #bd93f9 } /* Literal.String.Other */
[data-theme="dark"] .code .sr { color: #bd93f9 } /* Literal.String.Regex */
[data-theme="dark"] .code .s1 { color: #bd93f9 } /* Literal.String.Single */
[data-theme="dark"] .code .ss { color: #bd93f9 } /* Literal.String.Symbol */
[data-theme="dark"] .code .bp { color: #f8f8f2; font-style: italic } /* Name.Builtin.Pseudo */
[data-theme="dark"] .code .fm { color: #50fa7b } /* Name.Function.Magic */
[data-theme="dark"] .code .vc { color: #8be9fd; font-style: italic } /* Name.Variable.Class */
[data-theme="dark"] .code .vg { color: #8be9fd; font-style: italic } /* Name.Variable.Global */
[data-theme="dark"] .code .vi { color: #8be9fd; font-style: italic } /* Name.Variable.Instance */
[data-theme="dark"] .code .vm { color: #8be9fd; font-style: italic } /* Name.Variable.Magic */
[data-theme="dark"] .code .il { color: #ffb86c } /* Literal.Number.Integer.Long */
